curl --request GET \
--url https://cloud.kaneo.app/api/public-project/{id}import requests
url = "https://cloud.kaneo.app/api/public-project/{id}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://cloud.kaneo.app/api/public-project/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"slug": "<string>",
"icon": "<string>",
"description": "<string>",
"isPublic": true,
"workspaceId": "<string>",
"columns": [
{
"id": "<string>",
"slug": "<string>",
"name": "<string>",
"icon": "<string>",
"isFinal": true,
"tasks": [
{
"id": "<string>",
"title": "<string>",
"number": 123,
"description": "<string>",
"status": "<string>",
"priority": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"dueDate": "2023-11-07T05:31:56Z",
"position": 123,
"createdAt": "2023-11-07T05:31:56Z",
"userId": "<string>",
"assigneeName": "<string>",
"assigneeId": "<string>",
"assigneeImage": "<string>",
"projectId": "<string>",
"labels": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>"
}
],
"externalLinks": [
{
"id": "<string>",
"taskId": "<string>",
"integrationId": "<string>",
"resourceType": "<string>",
"externalId": "<string>",
"url": "<string>",
"title": "<string>",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"descriptionDeferred": true
}
],
"position": 123
}
],
"archivedTasks": [
{
"id": "<string>",
"title": "<string>",
"number": 123,
"description": "<string>",
"status": "<string>",
"priority": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"dueDate": "2023-11-07T05:31:56Z",
"position": 123,
"createdAt": "2023-11-07T05:31:56Z",
"userId": "<string>",
"assigneeName": "<string>",
"assigneeId": "<string>",
"assigneeImage": "<string>",
"projectId": "<string>",
"labels": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>"
}
],
"externalLinks": [
{
"id": "<string>",
"taskId": "<string>",
"integrationId": "<string>",
"resourceType": "<string>",
"externalId": "<string>",
"url": "<string>",
"title": "<string>",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"descriptionDeferred": true
}
],
"plannedTasks": [
{
"id": "<string>",
"title": "<string>",
"number": 123,
"description": "<string>",
"status": "<string>",
"priority": "<string>",
"startDate": "2023-11-07T05:31:56Z",
"dueDate": "2023-11-07T05:31:56Z",
"position": 123,
"createdAt": "2023-11-07T05:31:56Z",
"userId": "<string>",
"assigneeName": "<string>",
"assigneeId": "<string>",
"assigneeImage": "<string>",
"projectId": "<string>",
"labels": [
{
"id": "<string>",
"name": "<string>",
"color": "<string>"
}
],
"externalLinks": [
{
"id": "<string>",
"taskId": "<string>",
"integrationId": "<string>",
"resourceType": "<string>",
"externalId": "<string>",
"url": "<string>",
"title": "<string>",
"metadata": {},
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"descriptionDeferred": true
}
],
"pagination": {
"total": 123,
"page": 123,
"pageSize": 123,
"totalPages": 123,
"relatedPage": 123,
"relatedPageSize": 123,
"relatedTotalPages": 123
},
"descriptionDeferred": true
}"<string>""<string>""<string>""<string>"Get a public project board
Read a public board in bounded task pages. Visibility is checked before loading tasks. Continue through pagination.totalPages for all tasks and through relatedPage/pagination.relatedTotalPages for their complete related records.
Path Parameters
Query Parameters
^\d+$^\d+$^\d+$createdAt, priority, dueDate, position, title, number asc, desc Response
A public board page
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Always paginated: 50 tasks by default, at most 100 per page. Continue through totalPages to retrieve all tasks. For each task page, follow relatedPage through relatedTotalPages to retrieve all labels, external links and columns (100 related rows per kind per request, plus up to 100 columns needed to represent the tasks).
Show child attributes
Show child attributes
True when a project description above 64 KiB is omitted; use project detail or public project description pages for full text.
Was this page helpful?